package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 图片对象 mall_img
 * 
 * @author chang
 * @date 2021-11-25
 */
public class MallImg extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 关联ID */
    @Excel(name = "关联ID")
    private Long resId;

    /** 类型:0-商品轮播,1=商品详情,2-评价图片 */
    @Excel(name = "类型:0-商品轮播,1=商品详情,2-评价图片")
    private String type;

    /** 图片访问路径 */
    @Excel(name = "图片访问路径")
    private String img;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 添加时间 */
    @Excel(name = "添加时间")
    private String createAt;

    /** 删除标记 */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setResId(Long resId) 
    {
        this.resId = resId;
    }

    public Long getResId() 
    {
        return resId;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setImg(String img) 
    {
        this.img = img;
    }

    public String getImg() 
    {
        return img;
    }
    public void setSort(Integer sort) 
    {
        this.sort = sort;
    }

    public Integer getSort() 
    {
        return sort;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("resId", getResId())
            .append("type", getType())
            .append("img", getImg())
            .append("sort", getSort())
            .append("createAt", getCreateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
